=== fuzz/Makefile ===
run: Fuzzer.exe
	./Fuzzer.exe ../../examples

Fuzzer.exe: Fuzzer.cs RECOIL.cs
	"C:/Program Files/Microsoft Visual Studio/2022/Community/MSBuild/Current/Bin/Roslyn/csc.exe" -nologo -o+ -out:$@ $^

RECOIL.cs: ../recoil.fu
	fut -o $@ -I .. -n Recoil $<
