=== debian/control ===
Source: recoil
Maintainer: Piotr Fusik <fox@scene.pl>
Section: utils
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libpng-dev,
 pkgconf,
 xsltproc,
 libgimp2.0-dev
Standards-Version: 4.6.2
Homepage: https://recoil.sourceforge.net/
Rules-Requires-Root: no

Package: recoil-2png
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Provides "recoil2png" command-line converter
 of pictures in native formats of
 Amiga, Amstrad CPC, Apple II, Atari 8-bit/Portfolio/ST/TT/Falcon,
 BBC Micro, Commodore VIC-20/64/16/116/Plus4/128, Electronika BK, FM Towns,
 HP 48, Macintosh 128K, MSX, NEC PC-80/88/98, Oric, Psion Series 3, SAM Coupe,
 Sharp X68000, Tandy 1000, Timex 2048, TRS-80, TRS-80 Color Computer,
 Vector-06C, ZX81 and ZX Spectrum computers.

Package: recoil-gimp
Architecture: any
Depends: gimp, ${shlibs:Depends}
Description: GIMP plugin capable of loading pictures in native formats of
 Amiga, Amstrad CPC, Apple II, Atari 8-bit/Portfolio/ST/TT/Falcon,
 BBC Micro, Commodore VIC-20/64/16/116/Plus4/128, Electronika BK, FM Towns,
 HP 48, Macintosh 128K, MSX, NEC PC-80/88/98, Oric, Psion Series 3, SAM Coupe,
 Sharp X68000, Tandy 1000, Timex 2048, TRS-80, TRS-80 Color Computer,
 Vector-06C, ZX81 and ZX Spectrum computers.

Package: recoil-thumbnailer
Architecture: all
Depends:
 recoil-2png,
 ${misc:Depends}
Description: GNOME thumbnailer for pictures in native formats of
 Amiga, Amstrad CPC, Apple II, Atari 8-bit/Portfolio/ST/TT/Falcon,
 BBC Micro, Commodore VIC-20/64/16/116/Plus4/128, Electronika BK, FM Towns,
 HP 48, Macintosh 128K, MSX, NEC PC-80/88/98, Oric, Psion Series 3, SAM Coupe,
 Sharp X68000, Tandy 1000, Timex 2048, TRS-80, TRS-80 Color Computer,
 Vector-06C, ZX81 and ZX Spectrum computers.

Package: recoil-xnview
Architecture: any
Depends:
 xnview,
 ${shlibs:Depends},
 ${misc:Depends},
Description: Plugin for XnView MP to decode pictures in native formats of
 Amiga, Amstrad CPC, Apple II, Atari 8-bit/Portfolio/ST/TT/Falcon,
 BBC Micro, Commodore VIC-20/64/16/116/Plus4/128, Electronika BK, FM Towns,
 HP 48, Macintosh 128K, MSX, NEC PC-80/88/98, Oric, Psion Series 3, SAM Coupe,
 Sharp X68000, Tandy 1000, Timex 2048, TRS-80, TRS-80 Color Computer,
 Vector-06C, ZX81 and ZX Spectrum computers.
