=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -flto
export DEB_LDFLAGS_MAINT_APPEND  = -flto
export CC = $(DEB_HOST_GNU_TYPE)-gcc
export PKG_CONFIG_PATH=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/

%:
	dh $@

# skip "make clean" to avoid dependency on fut
override_dh_auto_clean:

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS)" recoil2png file-recoil Xrecoil.usr

override_dh_auto_install:
	$(MAKE) CC=$(DEB_HOST_GNU_TYPE)-gcc PREFIX=$$(pwd)/debian/tmp/usr XNVIEW=$$(pwd)/debian/tmp/opt/XnView BUILDING_PACKAGE=1 install-thumbnailer install-xnview

override_dh_builddeb:
	dh_builddeb -- -Zxz
