=== debian/watch ===
version=4
opts="compression=xz,repack" \
 http://sf.net/recoil/ recoil-(.+)\.tar\.gz \
debian uupdate
